Skip to main content
GET
/
api
/
departments
/
{id}
Get a department by ID
curl --request GET \
  --url https://your-instance.example.com/api/departments/{id} \
  --header 'Authorization: Bearer <token>'
{
  "department": {
    "_id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "organizationId": "<string>",
    "managerIds": [
      {
        "_id": "<string>",
        "fullName": "<string>",
        "email": "<string>",
        "accessRole": "<string>",
        "departmentId": "<string>",
        "phoneNumber": "<string>",
        "designation": "<string>"
      }
    ],
    "userIds": [
      {
        "_id": "<string>",
        "fullName": "<string>",
        "email": "<string>",
        "accessRole": "<string>",
        "departmentId": "<string>",
        "phoneNumber": "<string>",
        "designation": "<string>"
      }
    ],
    "createdBy": {},
    "updatedBy": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Department returned

department
object